# Behavioral Strategy: User Profile Template (YAML)
# Copy, fill, and version this file per segment. Keep evidence links next to scores.

user_segment:
  name: "Segment Name"
  size: "Estimated population"
  defining_behaviors:
    - behavior: "Primary behavior pattern"
      frequency: "How often"
      context: "When/where"

  bsm_profile:
    personality:
      score: 0         # 0-10
      evidence: ""     # how measured
      intervention_potential: "low|medium|high"
    perception:
      score: 0
      beliefs: []
      misconceptions: []
    emotions:
      score: 0
      dominant_emotions: []
      triggers: []
    abilities:
      score: 0
      strengths: []
      gaps: []
    social_status:
      score: 0
      role: ""
      influence: ""
    motivations:
      score: 0
      drivers: []
      rewards_valued: []
    social_environment:
      score: 0
      supporters: []
      detractors: []
    physical_environment:
      score: 0
      enablers: []
      barriers: []

  behavioral_predictions:
    target_behavior_1:
      likelihood: 0.0                  # 0-1
      limiting_factors: []             # components < 6
      intervention_focus: ""           # primary component to address
      window: "30 days"                # evaluation window
